Java-1_8_0-openjdk Update for openSUSE Leap 42.2/42.3
Posted on: 11/13/2017 05:51 PM

Updated java-1_8_0-openjdk packages has been released for both openSUSE Leap 42.2 and 42.3

Java-1_8_0-openjdk Update for openSUSE Leap 42.2/42.3


______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2998-1
Rating: important
References: #1032647 #1052009 #1064069 #1064070 #1064071
#1064072 #1064073 #1064075 #1064077 #1064078
#1064079 #1064080 #1064081 #1064082 #1064083
#1064084 #1064085 #1064086
Cross-References: CVE-2016-10165 CVE-2016-9840 CVE-2016-9841
CVE-2016-9842 CVE-2016-9843 CVE-2017-10274
CVE-2017-10281 CVE-2017-10285 CVE-2017-10295
CVE-2017-10345 CVE-2017-10346 CVE-2017-10347
CVE-2017-10348 CVE-2017-10349 CVE-2017-10350
CVE-2017-10355 CVE-2017-10356 CVE-2017-10357
CVE-2017-10388
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes 19 vulnerabilities is now available.

Description:

This update for java-1_8_0-openjdk fixes the following issues:

- Update to version jdk8u151 (icedtea 3.6.0)

Security issues fixed:

- CVE-2017-10274: Handle smartcard clean up better (bsc#1064071)
- CVE-2017-10281: Better queuing priorities (bsc#1064072)
- CVE-2017-10285: Unreferenced references (bsc#1064073)
- CVE-2017-10295: Better URL connections (bsc#1064075)
- CVE-2017-10388: Correct Kerberos ticket grants (bsc#1064086)
- CVE-2017-10346: Better invokespecial checks (bsc#1064078)
- CVE-2017-10350: Better Base Exceptions (bsc#1064082)
- CVE-2017-10347: Better timezone processing (bsc#1064079)
- CVE-2017-10349: Better X processing (bsc#1064081)
- CVE-2017-10345: Better keystore handling (bsc#1064077)
- CVE-2017-10348: Better processing of unresolved permissions (bsc#1064080)
- CVE-2017-10357: Process Proxy presentation (bsc#1064085)
- CVE-2017-10355: More stable connection processing (bsc#1064083)
- CVE-2017-10356: Update storage implementations (bsc#1064084)
- CVE-2016-10165: Improve CMS header processing (bsc#1064069)
- CVE-2016-9840, CVE-2016-9841, CVE-2016-9842, CVE-2016-9843: Upgrade
compression library (bsc#1064070)

Bug fixes:

- Fix bsc#1032647, bsc#1052009 with btrfs subvolumes and overlayfs

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1269=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1269=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

java-1_8_0-openjdk-1.8.0.151-18.1
java-1_8_0-openjdk-accessibility-1.8.0.151-18.1
java-1_8_0-openjdk-debuginfo-1.8.0.151-18.1
java-1_8_0-openjdk-debugsource-1.8.0.151-18.1
java-1_8_0-openjdk-demo-1.8.0.151-18.1
java-1_8_0-openjdk-demo-debuginfo-1.8.0.151-18.1
java-1_8_0-openjdk-devel-1.8.0.151-18.1
java-1_8_0-openjdk-devel-debuginfo-1.8.0.151-18.1
java-1_8_0-openjdk-headless-1.8.0.151-18.1
java-1_8_0-openjdk-headless-debuginfo-1.8.0.151-18.1
java-1_8_0-openjdk-src-1.8.0.151-18.1

- openSUSE Leap 42.3 (noarch):

java-1_8_0-openjdk-javadoc-1.8.0.151-18.1

- openSUSE Leap 42.2 (i586 x86_64):

java-1_8_0-openjdk-1.8.0.151-10.18.2
java-1_8_0-openjdk-accessibility-1.8.0.151-10.18.2
java-1_8_0-openjdk-debuginfo-1.8.0.151-10.18.2
java-1_8_0-openjdk-debugsource-1.8.0.151-10.18.2
java-1_8_0-openjdk-demo-1.8.0.151-10.18.2
java-1_8_0-openjdk-demo-debuginfo-1.8.0.151-10.18.2
java-1_8_0-openjdk-devel-1.8.0.151-10.18.2
java-1_8_0-openjdk-devel-debuginfo-1.8.0.151-10.18.2
java-1_8_0-openjdk-headless-1.8.0.151-10.18.2
java-1_8_0-openjdk-headless-debuginfo-1.8.0.151-10.18.2
java-1_8_0-openjdk-src-1.8.0.151-10.18.2

- openSUSE Leap 42.2 (noarch):

java-1_8_0-openjdk-javadoc-1.8.0.151-10.18.2


References:

https://www.suse.com/security/cve/CVE-2016-10165.html
https://www.suse.com/security/cve/CVE-2016-9840.html
https://www.suse.com/security/cve/CVE-2016-9841.html
https://www.suse.com/security/cve/CVE-2016-9842.html
https://www.suse.com/security/cve/CVE-2016-9843.html
https://www.suse.com/security/cve/CVE-2017-10274.html
https://www.suse.com/security/cve/CVE-2017-10281.html
https://www.suse.com/security/cve/CVE-2017-10285.html
https://www.suse.com/security/cve/CVE-2017-10295.html
https://www.suse.com/security/cve/CVE-2017-10345.html
https://www.suse.com/security/cve/CVE-2017-10346.html
https://www.suse.com/security/cve/CVE-2017-10347.html
https://www.suse.com/security/cve/CVE-2017-10348.html
https://www.suse.com/security/cve/CVE-2017-10349.html
https://www.suse.com/security/cve/CVE-2017-10350.html
https://www.suse.com/security/cve/CVE-2017-10355.html
https://www.suse.com/security/cve/CVE-2017-10356.html
https://www.suse.com/security/cve/CVE-2017-10357.html
https://www.suse.com/security/cve/CVE-2017-10388.html
https://bugzilla.suse.com/1032647
https://bugzilla.suse.com/1052009
https://bugzilla.suse.com/1064069
https://bugzilla.suse.com/1064070
https://bugzilla.suse.com/1064071
https://bugzilla.suse.com/1064072
https://bugzilla.suse.com/1064073
https://bugzilla.suse.com/1064075
https://bugzilla.suse.com/1064077
https://bugzilla.suse.com/1064078
https://bugzilla.suse.com/1064079
https://bugzilla.suse.com/1064080
https://bugzilla.suse.com/1064081
https://bugzilla.suse.com/1064082
https://bugzilla.suse.com/1064083
https://bugzilla.suse.com/1064084
https://bugzilla.suse.com/1064085
https://bugzilla.suse.com/1064086




Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/java_1_8_openjdk_update_for_opensuse_leap_42_242_3.html)